#ifndef CAMPREVIEW_H
#define CAMPREVIEW_H

#include <QComboBox>
#include <QLabel>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QDialogButtonBox>
#include <QStackedWidget>
#include <QGridLayout>
#include <QSpinBox>
#include <QPainter>
#include <pylon/PylonIncludes.h>

#include "pylonwrapper.h"
#include "util.h"
namespace Ui {
    class CameraPreview;
}
    
class CameraPreview : public QWidget
{
    Q_OBJECT

public:
    explicit CameraPreview(QString &devicename, QWidget *parent = 0);
    ~CameraPreview();

    ROI getRoi();

public slots:
    void updateCamera(QString &device);
    void updateROI(QString v);

// signals:
//     void column_visibility_changed(QString who, QString column, bool state);
//     void recent_file_changed(QStringList);

private:
    QString cameraname;
    QSpinBox *width, *height, *xoffs, *yoffs;
    QLabel *imgLabel;
    QPixmap pm;

    void takeStill();
    void setImage(const QPixmap &img);
    // void setImage(const QImage &img);
    PylonWrapper *camera;

};
    
#endif // CAMPREVIEW_H